Authorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Load all roles, using a valid management key.
This API endpoint allows administrators to load all existing roles.
This endpoint returns an array of roles including their name, description, and permissionsNames.
See also
- See User Authorization for further details on managing roles and permissions.
curl -X GET "https://api.descope.com/v1/mgmt/role/all"{ "roles": [ { "name": "string", "description": "string", "permissionNames": [ "string" ], "createdTime": 0, "tenantId": "string", "default": true, "private": true } ]}export interface Response {roles?: {name?: stringdescription?: stringpermissionNames?: string[]createdTime?: numbertenantId?: stringdefault?: booleanprivate?: boolean}[]} Was this helpful?
Role Management API Overview
Use the Descope API to create, manage, and delete roles using a management key.
Search Roles POST
### Search roles, using a valid management key. This API endpoint allows administrators to search against existing roles. This endpoint returns an array of roles including their name, description, and permissionsNames that match the search parameters. ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions.